.\" 
.\" THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
.\" ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
.\" TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
.\" PARTICULAR PURPOSE.
.\" 
.\" Copyright (C) 1999  Microsoft Corporation.  All rights reserved.
.\" 
.TH NETJOIN 1m \*h
.SH NAME
netjoin \- Create an computer account in Active Directory
.SH SYNOPSIS
.B netjoin
[-A admin-account] [-D domain] [-O ous] [-s LDAPserver] [-p LDAPport] [-B bind-path] [-vI]
[\fIhost.domain\fP]
.SH DESCRIPTION
.PP
If invoked without a hostname, a computer account in the domain corresponding
to the host's DNS domain
will be created in the directory for the computer that it is being
run on. If the account already exists, the computer password will be
reset in the directory and the default keytab.
.PP
If invoked with a specific hostname, it will be looked up in DNS
(or /etc/hosts) to locate a DNS domain. In this case a keytab will
be created in /tmp with the name of the host and the extension .keytab.
This file should be securely transferred to the host.
.PP
The computer principal name will be in the form of "host/hostname.dns.com".
The computer OS name and version will be taken from the uname.

.SH OPTIONS
.TP
\fB\-A\fP \fIadmin-account\fP
Specifies simple LDAP bind as the DN based admin-account identity.
.TP
\fB\-D\fP \fIdomain\fP
Specifies the LDAP domain to bind to.  This option is unnecessary
if the domain is specified in <user@domain>.
.TP
\fB\-O\fP \fIOU\fP
Specifies which organizational unit (OU) to create computer accounts in. (default is "cn=computers")
.TP
\fB\-s\fP \fILDAPserver\fP
Specifies hostname of LDAP host to bind to.  This option
is usually unnecessary because the ldap_host is found
given the domain name, automatically, by DNS lookup.
.TP
\fB\-p\fP \fILDAPport\fP
Specifies LDAP port to bind to.  Defaults to LDAP_PORT
which is the standard LDAP bind port (389).
.TP
\fB\-B\fB \fIbind-path\fP
Specifies LDAP path to bind to.  Defaults to the 
entire domain based DN.
.TP
\fB\-v\fB
Enables verbose output.

.SH RETURN VALUES
On success the return value is 0. On error the return value is non zero.
.SH SEE ALSO
ksetpw(1m)
