.\" 
.\" THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
.\" ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
.\" TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
.\" PARTICULAR PURPOSE.
.\" 
.\" Copyright (C) 1999  Microsoft Corporation.  All rights reserved.
.\" 
.TH ADDUSER 1m \*h
.SH NAME
pwdump \- Dump a AD account in the form of a passwd entry
.SH SYNOPSIS
.B pwdump
[-A admin-account] [-D domain] [-O ous] [-s LDAPserver] [-p LDAPport] [-B bind-path] [-v]
[\fIuser@domain\fP]
.PP
.SH DESCRIPTION
.PP
When invoked with a specific account username@domain, it will search
the directory for an account having the sAMAccountName attribute
of that value. If an account is found that matches the username, it
is dumped to stdout in the form of a passwd file entry.
.PP
If the directory schema has been extended with the Services for Unix
schema, Posix specific attributes will be included from the directory
in the passwd entry.
.PP
The username can be specified using a LDAP query string. In this case
all entries that match the query will be printed as passwd entries.

.SH OPTIONS
.TP
\fB\-A\fP \fIadmin-account\fP
Specifies simple LDAP bind as the DN based admin-account identity.
.TP
\fB\-D\fP \fIdomain\fP
Specifies the LDAP domain to bind to.  This option is unnecessary
if the domain is specified in <user@domain>.
.TP
\fB\-O\fP \fIOU\fP
Specifies which organizational unit (OU) to start searching in. This is specified like "OU=Users".
.TP
\fB\-s\fP \fILDAPserver\fP
Specifies hostname of LDAP host to bind to.  This option
is usually unnecessary because the ldap_host is found
given the domain name, automatically, by DNS lookup.
.TP
\fB\-p\fP \fILDAPport\fP
Specifies LDAP port to bind to.  Defaults to LDAP_PORT
which is the standard LDAP bind port (389).
.TP
\fB\-B\fB \fIbind-path\fP
Specifies LDAP path to bind to.  Defaults to the 
entire domain based DN.
.TP
\fB\-v\fB
Enables verbose output. Repeat for more verbosity.

.SH RETURN VALUES
If the an account matching the query is found, it is printed to stdout and the exit status will be 0. Otherwise the exit status is 1.
.TP


